{"title":"Delete vendors (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_vendor_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_vendor_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_vendor_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Deletes a vendor object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Delete vendors (v1.0)","slug":"delete-vendors-v10","at":0,"chars":1150},{"level":2,"title":"HTTP request","slug":"http-request","at":70,"chars":209},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":279,"chars":237},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":516,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":585,"chars":140},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":725,"chars":232},{"level":2,"title":"Related information","slug":"related-information","at":957,"chars":193}],"text":"# Delete vendors (v1.0)\nDelete a vendor object from Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nDELETE businesscentralPrefix/companies({id})/vendors({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided does not match the current tag on the vendors, the vendors will not be updated.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns ```204 No Content``` response code. It does not return anything in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nDELETE https://{businesscentralPrefix}/api/v1.0/companies({id})/vendors({id})\n```\nResponse\nHere is an example of the response.\n```json\nHTTP/1.1 204 No Content\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_vendor\ndynamics_vendor_get\ndynamics_create_vendor\ndynamics_vendor_update"}